Bug 187691 - dillo RPM installs fine, but misses libssl.so.5
dillo RPM installs fine, but misses libssl.so.5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dillo (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-02 14:01 EDT by Ranjan Maitra
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 05:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ranjan Maitra 2006-04-02 14:01:24 EDT
Description of problem:dillo does not start


Version-Release number of selected component (if applicable): 0.8.5


How reproducible: Everytime

Steps to Reproduce:
1. Run %dillo at prompt
2.
3.
  
Actual results: get error message:
missing libssl.so.5


Expected results:
dillo functions normally

Additional info:
The RPM does not complain of missing dependency. Needs repackaging.
Comment 1 Andreas Bierfert 2006-04-03 03:55:56 EDT
Could you please specify rpm version (rpm -q dillo) and arch... Here dillo works
fine on both i386 and x86_64 fc5.
Comment 2 Ranjan Maitra 2006-04-03 10:09:55 EDT
Sorry, my mistake. I was using the dillo with the internationalization patches
on, available at:

http://teki.jpn.ph/pc/software/index-e.shtml

Please cloze this bug. Btw, I strongly suggest that you adopt this dillo in the
repo. It comes with a lot of important features in a browser.

Thanks again for all the help!
Comment 3 Ranjan Maitra 2006-04-10 00:15:05 EDT
The new dillo is not set up right. I am talking about this RPM.

dillo-0.8.5-2.fc5

which seems to use the dillo from http://teki.jpn.ph/pc/software/index-e.shtml.

It should be set up with anti-aliasing enabled, ssl and meta-refresh enabled.
Otherwise, it looks really ugly!

Thanks again!
Comment 4 Ranjan Maitra 2006-06-21 01:30:56 EDT
although i was the one who suggested this, upn further reconsideration, i think
it is not right to put this dillo as the default dillo. i would suggest that
this dillo with the internationalization patches) be renamed something else such
as dilloi118n maybe (and please set it up with anti-aliasing enabled, ssl and
meta-refresh enabled) and the vanilla dillo should continue to be the dillo.
RPMS for the vanilla dillo are available from the link to Kelson Vibber's site
from www.dillo.org.

Many thanks!
Comment 5 Andreas Bierfert 2006-06-23 03:03:45 EDT
And why would that be? Seems to me that the i18n dillo is the right choice here
for many reasons...
Comment 6 Ranjan Maitra 2006-06-23 23:24:24 EDT
The trouble is that there are some pages that do not get rendered at all on some
platforms. For instance, the following webpage
http://www.indianexpress.com/story/7170.html does not get rendered at all on my
Dell Latitude C840, but is much better on my Dell Precision 650. Both render
just fine on the dillo.org-supported vanilla dillo. It appears that there may be
some conflicts, etc.

Thanks!
Comment 7 Andreas Bierfert 2006-07-05 05:00:50 EDT
ok... I upgraded the package so that dillo and dillo-i18n get included :)

Note You need to log in before you can comment on or make changes to this bug.